## org.jfree.report.util
Class ObjectStreamResolveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.ObjectStreamException
                      org.jfree.report.util.ObjectStreamResolveException

All Implemented Interfaces:
  java.io.Serializable

    public class ObjectStreamResolveException

extends java.io.ObjectStreamException

The `ObjectStreamResolveException` this thrown, when the object resolving operation for serialized objects failed.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`ObjectStreamResolveException()` Create an ObjectStreamException.
`ObjectStreamResolveException(java.lang.String classname)` Create an ObjectStreamException with the specified argument.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectStreamResolveException

    public ObjectStreamResolveException(java.lang.String classname)

  Create an ObjectStreamException with the specified argument.

  Parameters:
    `classname` - the detailed message for the exception

### ObjectStreamResolveException

    public ObjectStreamResolveException()

  Create an ObjectStreamException.